clear all
close all
clc

% Data from simulations
name = 'z1_C_v33.2_mesh5';
simulation_name1 = 'Full in 2 points';
simulation_name2 = 'Half in 2 points';
simulation_name3 = '1 point';
simulation_name4 = 'Full in 2 points separate C_{D}';
folder = 'C:\Users\Jorgen\Dropbox\Masteroppgave\Matlab\Accel from Abaqus\';
simulation_folder1 = [num2str(folder), 'full_in_2points\', num2str(name)];
simulation_folder2 = [num2str(folder), 'half_in_2points\', num2str(name)];
simulation_folder3 = [num2str(folder), '1point\', num2str(name)];
simulation_folder4 = [num2str(folder), 'from_test_in_2points\', num2str(name)];

% Loading data from wind velocity simulation
number_sim = 4;

i = 1;
    Acc3_abaqus = load([num2str(simulation_folder1), '\Accel_3_Node_152.txt']);
    Acc6_abaqus = load([num2str(simulation_folder1) '\Accel_3_Node_511.txt']);
    Acc8_abaqus = load([num2str(simulation_folder1) '\Accel_3_Node_872.txt']);
    Acc51_abaqus = load([num2str(simulation_folder1) '\Accel_3_Node_422.txt']);
    t3_abaqus = Acc3_abaqus(:,1)-1;
    t6_abaqus = Acc6_abaqus(:,1)-1;
    t8_abaqus = Acc8_abaqus(:,1)-1;
    t51_abaqus = Acc51_abaqus(:,1)-1;
    Acc3_abaqus = Acc3_abaqus(:,2);
    Acc6_abaqus = Acc6_abaqus(:,2);
    Acc8_abaqus = Acc8_abaqus(:,2);
    Acc51_abaqus = Acc51_abaqus(:,2);
    
    length_Acc = length(Acc3_abaqus);
    Acc_abaqus = zeros(number_sim,length_Acc,4);
    t_abaqus = zeros(number_sim,length_Acc,4);
    
    Acc_abaqus(i,:,1) = Acc3_abaqus;
    Acc_abaqus(i,:,2) = Acc6_abaqus;
    Acc_abaqus(i,:,3) = Acc8_abaqus;
    Acc_abaqus(i,:,4) = Acc51_abaqus;

    t_abaqus(i,:,1) = t3_abaqus;
    t_abaqus(i,:,2) = t6_abaqus;
    t_abaqus(i,:,3) = t8_abaqus;
    t_abaqus(i,:,4) = t51_abaqus;
    
i = 2;
    Acc3_abaqus = load([num2str(simulation_folder2), '\Accel_3_Node_152.txt']);
    Acc6_abaqus = load([num2str(simulation_folder2) '\Accel_3_Node_511.txt']);
    Acc8_abaqus = load([num2str(simulation_folder2) '\Accel_3_Node_872.txt']);
    Acc51_abaqus = load([num2str(simulation_folder2) '\Accel_3_Node_422.txt']);
    t3_abaqus = Acc3_abaqus(:,1)-1;
    t6_abaqus = Acc6_abaqus(:,1)-1;
    t8_abaqus = Acc8_abaqus(:,1)-1;
    t51_abaqus = Acc51_abaqus(:,1)-1;
    Acc3_abaqus = Acc3_abaqus(:,2);
    Acc6_abaqus = Acc6_abaqus(:,2);
    Acc8_abaqus = Acc8_abaqus(:,2);
    Acc51_abaqus = Acc51_abaqus(:,2);
    
    Acc_abaqus(i,:,1) = Acc3_abaqus;
    Acc_abaqus(i,:,2) = Acc6_abaqus;
    Acc_abaqus(i,:,3) = Acc8_abaqus;
    Acc_abaqus(i,:,4) = Acc51_abaqus;

    t_abaqus(i,:,1) = t3_abaqus;
    t_abaqus(i,:,2) = t6_abaqus;
    t_abaqus(i,:,3) = t8_abaqus;
    t_abaqus(i,:,4) = t51_abaqus;
    
i = 3;
    Acc3_abaqus = load([num2str(simulation_folder3), '\Accel_3_Node_152.txt']);
    Acc6_abaqus = load([num2str(simulation_folder3) '\Accel_3_Node_511.txt']);
    Acc8_abaqus = load([num2str(simulation_folder3) '\Accel_3_Node_872.txt']);
    Acc51_abaqus = load([num2str(simulation_folder3) '\Accel_3_Node_422.txt']);
    t3_abaqus = Acc3_abaqus(:,1)-1;
    t6_abaqus = Acc6_abaqus(:,1)-1;
    t8_abaqus = Acc8_abaqus(:,1)-1;
    t51_abaqus = Acc51_abaqus(:,1)-1;
    Acc3_abaqus = Acc3_abaqus(:,2);
    Acc6_abaqus = Acc6_abaqus(:,2);
    Acc8_abaqus = Acc8_abaqus(:,2);
    Acc51_abaqus = Acc51_abaqus(:,2);
    
    Acc_abaqus(i,:,1) = Acc3_abaqus;
    Acc_abaqus(i,:,2) = Acc6_abaqus;
    Acc_abaqus(i,:,3) = Acc8_abaqus;
    Acc_abaqus(i,:,4) = Acc51_abaqus;

    t_abaqus(i,:,1) = t3_abaqus;
    t_abaqus(i,:,2) = t6_abaqus;
    t_abaqus(i,:,3) = t8_abaqus;
    t_abaqus(i,:,4) = t51_abaqus;
    
i = 4;
    Acc3_abaqus = load([num2str(simulation_folder4), '\Accel_3_Node_152.txt']);
    Acc6_abaqus = load([num2str(simulation_folder4) '\Accel_3_Node_511.txt']);
    Acc8_abaqus = load([num2str(simulation_folder4) '\Accel_3_Node_872.txt']);
    Acc51_abaqus = load([num2str(simulation_folder4) '\Accel_3_Node_422.txt']);
    t3_abaqus = Acc3_abaqus(:,1)-1;
    t6_abaqus = Acc6_abaqus(:,1)-1;
    t8_abaqus = Acc8_abaqus(:,1)-1;
    t51_abaqus = Acc51_abaqus(:,1)-1;
    Acc3_abaqus = Acc3_abaqus(:,2);
    Acc6_abaqus = Acc6_abaqus(:,2);
    Acc8_abaqus = Acc8_abaqus(:,2);
    Acc51_abaqus = Acc51_abaqus(:,2);
    
    Acc_abaqus(i,:,1) = Acc3_abaqus;
    Acc_abaqus(i,:,2) = Acc6_abaqus;
    Acc_abaqus(i,:,3) = Acc8_abaqus;
    Acc_abaqus(i,:,4) = Acc51_abaqus;

    t_abaqus(i,:,1) = t3_abaqus;
    t_abaqus(i,:,2) = t6_abaqus;
    t_abaqus(i,:,3) = t8_abaqus;
    t_abaqus(i,:,4) = t51_abaqus;

%% Plotting result
interval_no = 4;

% Giving colors to be useed in the plots
colors = 'bkrgcmy';

%% Welch method
N=size(t_abaqus,2);                   % Number of elements in the vectors
Fs=4;                                 % Sampling frequency
nfft=1*N;                             % Number of elements used in the FFT (Zero padding or not%)

Hs=spectrum.welch('Hamming',N/10,50); % Defines the spectrum estimator, the windowing function, number of windows, percentage overlap
figure('Name','Plot of PSD using Welch method varying loading strategi')
i = 1;
    subplot(interval_no,1,i)
        h=psd(Hs,Acc_abaqus(i,:,1),'NFFT',nfft,'Fs',Fs);
        semilogy(h.Frequencies,h.Data,colors(1))
        title(['Simulation: " ', num2str(simulation_name1), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" using Welch method'])
        xlabel('Frequency Hz [1/s]')
        ylabel('Spectral Density S_x')
        xlim([0.1 2])
        ylim([10^-10 1])
        set(gca,'XGrid','on')
        hold on
            for j = 2:4
                h=psd(Hs,Acc_abaqus(i,:,j),'NFFT',nfft,'Fs',Fs);
                semilogy(h.Frequencies,h.Data,colors(j))
            end

i = 2;
    subplot(interval_no,1,i)
        h=psd(Hs,Acc_abaqus(i,:,1),'NFFT',nfft,'Fs',Fs);
        semilogy(h.Frequencies,h.Data,colors(1))
        title(['Simulation: " ', num2str(simulation_name2), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" using Welch method'])
        xlabel('Frequency Hz [1/s]')
        ylabel('Spectral Density S_x')
        xlim([0.1 2])
        ylim([10^-10 1])
        set(gca,'XGrid','on')
        hold on
            for j = 2:4
                h=psd(Hs,Acc_abaqus(i,:,j),'NFFT',nfft,'Fs',Fs);
                semilogy(h.Frequencies,h.Data,colors(j))
            end
i = 3;
    subplot(interval_no,1,i)
        h=psd(Hs,Acc_abaqus(i,:,1),'NFFT',nfft,'Fs',Fs);
        semilogy(h.Frequencies,h.Data,colors(1))
        title(['Simulation: " ', num2str(simulation_name3), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" using Welch method'])
        xlabel('Frequency Hz [1/s]')
        ylabel('Spectral Density S_x')
        xlim([0.1 2])
        ylim([10^-10 1])
        set(gca,'XGrid','on')
        hold on
            for j = 2:4
                h=psd(Hs,Acc_abaqus(i,:,j),'NFFT',nfft,'Fs',Fs);
                semilogy(h.Frequencies,h.Data,colors(j))
            end
i = 4;
    subplot(interval_no,1,i)
        h=psd(Hs,Acc_abaqus(i,:,1),'NFFT',nfft,'Fs',Fs);
        semilogy(h.Frequencies,h.Data,colors(1))
        title(['Simulation: " ', num2str(simulation_name4), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" using Welch method'])
        xlabel('Frequency Hz [1/s]')
        ylabel('Spectral Density S_x')
        xlim([0.1 2])
        ylim([10^-10 1])
        set(gca,'XGrid','on')
        hold on
            for j = 2:4
                h=psd(Hs,Acc_abaqus(i,:,j),'NFFT',nfft,'Fs',Fs);
                semilogy(h.Frequencies,h.Data,colors(j))
            end

%% Burg method
Fs=4;                                % Sampling frequency  
order=50;

Hs=spectrum.burg(order);
figure('Name','Plot of PSD using Burg method')
i = 1;
    subplot(interval_no,1,i)
        h=psd(Hs,Acc_abaqus(i,:,1),'Fs',Fs);
        semilogy(h.Frequencies,h.Data,colors(1))
        xlim([0.1 2])
        ylim([10^-10 1])
        xlabel('Frequency Hz [1/s]')
        ylabel('Spectral Density S_x')
        title(['Simulation: " ', num2str(simulation_name1), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" using Burg method'])
        set(gca,'XGrid','on')
        hold on
            for j = 2:4
                h=psd(Hs,Acc_abaqus(i,:,j),'Fs',Fs);
                semilogy(h.Frequencies,h.Data,colors(j))
            end
        hold off
i = 2;
    subplot(interval_no,1,i)
        h=psd(Hs,Acc_abaqus(i,:,1),'Fs',Fs);
        semilogy(h.Frequencies,h.Data,colors(1))
        xlim([0.1 2])
        ylim([10^-10 1])
        xlabel('Frequency Hz [1/s]')
        ylabel('Spectral Density S_x')
        title(['Simulation: " ', num2str(simulation_name2), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" using Burg method'])
        set(gca,'XGrid','on')
        hold on
            for j = 2:4
                h=psd(Hs,Acc_abaqus(i,:,j),'Fs',Fs);
                semilogy(h.Frequencies,h.Data,colors(j))
            end
        hold off
i = 3;
    subplot(interval_no,1,i)
        h=psd(Hs,Acc_abaqus(i,:,1),'Fs',Fs);
        semilogy(h.Frequencies,h.Data,colors(1))
        xlim([0.1 2])
        ylim([10^-10 1])
        xlabel('Frequency Hz [1/s]')
        ylabel('Spectral Density S_x')
        title(['Simulation: " ', num2str(simulation_name3), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" using Burg method'])
        set(gca,'XGrid','on')
        hold on
            for j = 2:4
                h=psd(Hs,Acc_abaqus(i,:,j),'Fs',Fs);
                semilogy(h.Frequencies,h.Data,colors(j))
            end
        hold off
i = 4;
    subplot(interval_no,1,i)
        h=psd(Hs,Acc_abaqus(i,:,1),'Fs',Fs);
        semilogy(h.Frequencies,h.Data,colors(1))
        xlim([0.1 2])
        ylim([10^-10 1])
        xlabel('Frequency Hz [1/s]')
        ylabel('Spectral Density S_x')
        title(['Simulation: " ', num2str(simulation_name4), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" using Burg method'])
        set(gca,'XGrid','on')
        hold on
            for j = 2:4
                h=psd(Hs,Acc_abaqus(i,:,j),'Fs',Fs);
                semilogy(h.Frequencies,h.Data,colors(j))
            end
        hold off