clear all
% close all
clc

%%
% data incl the storm PER
dataPlace = 'C:\Users\Jorgen\Documents\Skole\Fall 11\Prosjekt\Matlab\Tidsserier\dec2006_sep2007\';

TabelsAll = dir(dataPlace);
[dataFile] = TabelsAll(60).name;

[a1,a2]=catman_read([dataPlace dataFile]);
A=a2(71).data;% Wind H
t=0:0.02:(length(A)-1)*0.02;

x = zeros(length(A),4);
yDir = [2,5,8,51];
for i = 1:4
    x(:,i)=detrend(a2(yDir(i)).data./1000,'constant');
end

% data from wind velocity simulation
name = 'z1_C_v33.2_mesh5\';
simulation = 'full_in_2points';
simulation_name = 'Full in 2 points';
folder = ['C:\Users\Jorgen\Dropbox\Masteroppgave\Matlab\Accel from Abaqus\', num2str(simulation), '\'];


% Loading data from wind velocity simulation
Acc3_abaqus = load([num2str(folder) num2str(name) 'Accel_3_Node_152.txt']);
Acc6_abaqus = load([num2str(folder) num2str(name) 'Accel_3_Node_511.txt']);
Acc8_abaqus = load([num2str(folder) num2str(name) 'Accel_3_Node_872.txt']);
Acc51_abaqus = load([num2str(folder) num2str(name) 'Accel_3_Node_422.txt']);
t3_abaqus = Acc3_abaqus(:,1)-1;
t6_abaqus = Acc6_abaqus(:,1)-1;
t8_abaqus = Acc8_abaqus(:,1)-1;
t51_abaqus = Acc51_abaqus(:,1)-1;
Acc3_abaqus = Acc3_abaqus(:,2);
Acc6_abaqus = Acc6_abaqus(:,2);
Acc8_abaqus = Acc8_abaqus(:,2);
Acc51_abaqus = Acc51_abaqus(:,2);

length_Acc = length(Acc3_abaqus);

Acc_abaqus = zeros(length_Acc,4);
t_abaqus = zeros(length_Acc,4);

Acc_abaqus(:,1) = Acc3_abaqus;
Acc_abaqus(:,2) = Acc6_abaqus;
Acc_abaqus(:,3) = Acc8_abaqus;
Acc_abaqus(:,4) = Acc51_abaqus;

t_abaqus(:,1) = t3_abaqus;
t_abaqus(:,2) = t6_abaqus;
t_abaqus(:,3) = t8_abaqus;
t_abaqus(:,4) = t51_abaqus;

node_name = ['Node 152';'Node 511';'Node 872';'Node 422'];

% Giving colors to be useed in the plots
colors = 'bkrgcmy';

% %% Estimate the spectral density using the Welch method
% 
% for i = 1:4
%     N=length(t);                          % Number of elements in the vectors
%     Fs=50;                                % Sampling frequency
%     nfft=1*N;                             % Number of elements used in the FFT (Zero padding or not%)
% 
%     Hs=spectrum.welch('Hamming',N/20,50); % Defines the spectrum estimator, the windowing function, number of windows, percentage overlap
%     h=psd(Hs,x(:,1),'NFFT',nfft,'Fs',Fs);
%     figure('Name',['Plot of PSD using Welch metod with simulation ', num2str(name(1:2)), ' ', num2str(name(4)), ' at node ', num2str(node_name(i,:))])
%     subplot(2,1,1)
%         semilogy(h.Frequencies,h.Data,colors(1))
%         xlim([0.1 2])
%         %ylim([10^-3 50])
%         xlabel('Frequency Hz [1/s]')
%         ylabel('Spectral Density S_x')
%         title(['From measurements at node ', num2str(node_name(i,:)), ' using Welch method'])
%         set(gca,'XGrid','on')
%         hold on
%             for j = 2:length(yDir)
%                 h=psd(Hs,x(:,j),'NFFT',nfft,'Fs',Fs);
%                 semilogy(h.Frequencies,h.Data,colors(j))
%             end
%         hold off
%     subplot(2,1,2)
%         N=size(t_abaqus,1);                   % Number of elements in the vectors
%         Fs=4;                                 % Sampling frequency
%         nfft=1*N;                             % Number of elements used in the FFT (Zero padding or not%)
%         
%         Hs=spectrum.welch('Hamming',N/10,50); % Defines the spectrum estimator, the windowing function, number of windows, percentage overlap
%         h=psd(Hs,Acc_abaqus(:,1),'NFFT',nfft,'Fs',Fs);
%         semilogy(h.Frequencies,h.Data,colors(1))
%         xlim([0.1 2])
%         %ylim([10^-3 50])
%         xlabel('Frequency Hz [1/s]')
%         ylabel('Spectral Density S_x')
%         title(['From simulation: "', num2str(simulation_name), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" at node ', num2str(node_name(i,:)), ' using Welch method'])
%         set(gca,'XGrid','on')
%         hold on
%             for j = 2:4
%                 h=psd(Hs,Acc_abaqus(:,j),'NFFT',nfft,'Fs',Fs);
%                 semilogy(h.Frequencies,h.Data,colors(j))
%             end
%         hold off
% end

%% Estimate the spectral density using the Burg method
for i = 2
    Fs=50;                                % Sampling frequency  
    order=2500;
    
    Hs=spectrum.burg(order);
    h=psd(Hs,x(:,1),'Fs',Fs);
    figure('Name',['Plot of PSD using Burg metod with simulation ', num2str(name(1:2)), ' ', num2str(name(4)), ' at node ', num2str(node_name(i,:))])
    subplot(2,1,1)
        semilogy(h.Frequencies,h.Data,colors(1))
        xlim([0.1 2])
        ylim([10^-10 1])
        xlabel('Frequency Hz [1/s]')
        ylabel('Spectral Density S_x')
        title(['From measurements at node ', num2str(node_name(i,:)), ' using Burg method'])
        set(gca,'XGrid','on')
        hold on
            for j = 2:length(yDir)
                h=psd(Hs,x(:,j),'Fs',Fs);
                semilogy(h.Frequencies,h.Data,colors(j))
            end
        hold off
    subplot(2,1,2)
        Fs=4;                                % Sampling frequency  
        order=250;
        
        Hs=spectrum.burg(order);
        h=psd(Hs,Acc_abaqus(:,1),'Fs',Fs);
        semilogy(h.Frequencies,h.Data,colors(1))
        xlim([0.1 2])
        ylim([10^-10 1])
        xlabel('Frequency Hz [1/s]')
        ylabel('Spectral Density S_x')
        title(['From simulation: "', num2str(simulation_name), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" at node ', num2str(node_name(i,:)), ' using Burg method'])
        set(gca,'XGrid','on')
        hold on
            for j = 2:4
                h=psd(Hs,Acc_abaqus(:,j),'Fs',Fs);
                semilogy(h.Frequencies,h.Data,colors(j))
            end
        hold off
end