clear all
close all
clc

%%
% data incl the storm PER
dataPlace = 'C:\Users\Jorgen\Documents\Skole\Fall 11\Prosjekt\Matlab\Tidsserier\dec2006_sep2007\';

TabelsAll = dir(dataPlace);
[dataFile] = TabelsAll(60).name;

[a1,a2]=catman_read([dataPlace dataFile]);
A=a2(71).data;% Wind H
t=0:0.02:(length(A)-1)*0.02;

% Data from simulations
folder = 'C:\Users\Jorgen\Dropbox\Masteroppgave\Matlab\Simulations\0.25\';
% name = ['z1_C_v33.2_mesh5';'z2_C_v33.2_mesh5';'z3_C_v33.2_mesh5';'z4_C_v33.2_mesh5';...
%     'z1_D_v33.2_mesh5';'z1_B_v33.2_mesh5';'z1_A_v33.2_mesh5'];

name = 'z1_C_v33.2_mesh5';
    
simulation_name = ['z1 C';'z2 C';'z3 C';'z4 C';...
    'z1 D';'z1 B';'z1 A'];

% Loading data from wind velocity simulation
number_sim = size(name,1);
V_sim = zeros(2400,number_sim);
t_sim = zeros(2400,number_sim);
for i = 1:number_sim
    load([num2str(folder) num2str(name(i,:)) '.mat'])
    V_sim(:,i) = mean_speed(60)+Y_speed(:,60);
    t_sim(:,i) = t_scale;
end

% %% Estimate the spectral density using the Welch method
% for i = 1:number_sim
%     N=length(t);                          % Number of elements in the vectors
%     Fs=50;                                % Sampling frequency
%     nfft=1*N;                             % Number of elements used in the FFT (Zero padding or not%)
% 
%     Hs=spectrum.welch('Hamming',N/20,50); % Defines the spectrum estimator, the windowing function, number of windows, percentage overlap
%     h=psd(Hs,A,'NFFT',nfft,'Fs',Fs);
%     figure('Name',['Plot of spectral density using Welch metod with simulation ', num2str(simulation_name(i,:))]);
%     subplot(2,1,1)
%         semilogy(h.Frequencies,h.Data)
%         %xlim([0.1 2])
%         %ylim([10^-3 50])
%         xlabel('Frequency Hz [1/s]')
%         ylabel('Spectral Density S_x')
%         title('From measurements using Welch method')
%         set(gca,'XGrid','on')
%     subplot(2,1,2)
%         Fs=4;                                 % Sampling frequency
%         h=psd(Hs,V_sim(:,i),'NFFT',nfft,'Fs',Fs);
%         semilogy(h.Frequencies,h.Data)
%         %xlim([0.1 2])
%         %ylim([10^-3 50])
%         xlabel('Frequency Hz [1/s]')
%         ylabel('Spectral Density S_x')
%         title(['From simulation: ', num2str(simulation_name(i,:)), ' using Welch method'])
%         set(gca,'XGrid','on')
% end

%% Estimate the spectral density using the Burg method
for i = 1:number_sim
Fs=50;                                % Sampling frequency  
order=2500;
Hs=spectrum.burg(order);

h=psd(Hs,A,'Fs',Fs);

figure('Name',['Plot of spectral density using Burg metod with simulation ', num2str(simulation_name(i,:))]);
subplot(2,1,1)
    semilogy(h.Frequencies,h.Data)
    xlim([0.1 2])
    %ylim([10^-3 50])
    xlabel('Frequency Hz [1/s]')
    ylabel('Spectral Density S_x')
    title('From measurements using Burg method')
    set(gca,'XGrid','on')
subplot(2,1,2)
    Fs=4;                                % Sampling frequency  
    order=250;
    Hs=spectrum.burg(order);

    h=psd(Hs,V_sim(:,i),'Fs',Fs);
    semilogy(h.Frequencies,h.Data)
    xlim([0.1 2])
    %ylim([10^-3 50])
    xlabel('Frequency Hz [1/s]')
    ylabel('Spectral Density S_x')
    title(['From simulation: ', num2str(simulation_name(i,:)), ' using Burg method'])
    set(gca,'XGrid','on')
    
    
end