clear all
close all
clc

%%
% data incl the storm PER
dataPlace = 'C:\Users\Jorgen\Documents\Skole\Fall 11\Prosjekt\Matlab\Tidsserier\dec2006_sep2007\';

TabelsAll = dir(dataPlace);
[dataFile] = TabelsAll(60).name;

%%
[a1,a2]=catman_read([dataPlace dataFile]);
A=a2(71).data;% Wind H
t=0:0.02:(length(A)-1)*0.02;

x = zeros(length(A),4);
yDir = [2,5,8,51];
for i = 1:4
    x(:,i)=detrend(a2(yDir(i)).data./1000,'constant');
end

%% Giving colors to be useed in the plots
colors = 'bkrgcmy';

%% Estimate the spectral density using the Welch method
N=length(t);                          % Number of elements in the vectors
Fs=50;                                % Sampling frequency
nfft=1*N;                             % Number of elements used in the FFT (Zero padding or not%)

Hs=spectrum.welch('Hamming',N/20,50); % Defines the spectrum estimator, the windowing function, number of windows, percentage overlap

% Accelerations in y-direction
h=psd(Hs,A,'NFFT',nfft,'Fs',Fs);

figure('Name','Plot of spectral density using Welch metod');
semilogy(h.Frequencies,h.Data,colors(1))
%xlim([0.1 2])
%ylim([10^-3 50])
xlabel('Frequency Hz [1/s]')
ylabel('Spectral Density S_x')
title('Accelarators in y-direction')
set(gca,'XGrid','on')

%% Estimate the spectral density using the Burg method
N=length(t);                          % Number of elements in the vectors
Fs=50;                                % Sampling frequency  
order=500;
Hs=spectrum.burg(order);

% Accelerations in y-direction
h=psd(Hs,A,'Fs',Fs);

figure('Name','Plot of spectral density using Burg metod');
semilogy(h.Frequencies,h.Data,colors(1))
%xlim([0.1 2])
%ylim([10^-3 50])
xlabel('Frequency Hz [1/s]')
ylabel('Spectral Density S_x')
title('Accelarators in y-direction')
set(gca,'XGrid','on')