clear all
close all
clc

%% Data from simulations
% Giving folder & name of .mat file
folder = 'C:\Users\Jorgen\Dropbox\Masteroppgave\Matlab\Simulations\0.25\';
name = ['z1_C_v33.2_mesh5';'z2_C_v33.2_mesh5';'z3_C_v33.2_mesh5';'z4_C_v33.2_mesh5';...
    'z1_D_v33.2_mesh5';'z1_B_v33.2_mesh5';'z1_A_v33.2_mesh5'];

% Loading data from wind velocity simulation
number_sim = size(name,1);
V_sim = zeros(2400,number_sim);
max_sim = zeros(number_sim,1);
mean_sim = zeros(number_sim,1);
std_sim = zeros(number_sim,1);
for i = 1:number_sim
    load([num2str(folder) num2str(name(i,:)) '.mat'])
    V_sim(:,i) = mean_speed(60)+Y_speed(:,60);
    max_sim(i) = max(V_sim(:,i));
    mean_sim(i) = mean(V_sim(:,i));
    std_sim(i) = std(V_sim(:,i));
end

%% Data from measurements

% Data incl. the storm PER
dataPlace = 'C:\Users\Jorgen\Documents\Skole\Fall 11\Prosjekt\Matlab\Tidsserier\dec2006_sep2007\';
TabelsAll = dir(dataPlace);

% Data for interval 58
[dataFile] = TabelsAll(2+58).name;

[a1,a2]=catman_read([dataPlace dataFile]);
V_58=a2(71).data;% Wind H
max_58 = max(V_58);
mean_58 = mean(V_58);
std_58 = std(V_58);

% Data for all intervals
No=length(TabelsAll)-2;

V_all = zeros(No,1);
std_all = zeros(No,1);

for i=1:No
    [dataFile] = TabelsAll(2+i).name;
    [a1,a2] = catman_read([dataPlace dataFile]);
    V_all(i) = mean(a2(71).data);% Wind H
    std_all(i) = std(a2(71).data);
end

max_all = max(V_all);
mean_all = mean(V_all);
std_all_mean = mean(std_all);

% Data for interval 57 to 59
interval_No = [57,58,59];
length_57_59 = zeros(3,1);
for i = 1:3
    [dataFile] = TabelsAll(2+interval_No(i)).name;
    [a1,a2]=catman_read([dataPlace dataFile]);
    length_57_59(i)=length(a2(71).data);
end

V_57_59 = zeros(sum(length_57_59),1);
sum_length_57_59 = 1;

for i = 1:3
    [dataFile] = TabelsAll(2+interval_No(i)).name;
    [a1,a2]=catman_read([dataPlace dataFile]);
    V_57_59(sum_length_57_59:(sum_length_57_59-1+length_57_59(i))) = a2(71).data;
    sum_length_57_59 = sum_length_57_59 + length_57_59(i);
end
    max_57_59 = max(V_57_59);
    mean_57_59 = mean(V_57_59);
    std_57_59 = std(V_57_59);

%% Giving the results

disp(['Max value all measurements: ',num2str(max_all)])
disp(['Mean value all measurements: ',num2str(mean_all)])
disp(['Standard deviation all measurements: ',num2str(std_all_mean)])

disp(['Max value measurementinterval 58: ',num2str(max_58)])
disp(['Mean value measurementinterval 58: ',num2str(mean_58)])
disp(['Standard deviation measurementinterval 58: ',num2str(std_58)])

disp(['Max value measurementinterval 57-59: ',num2str(max_57_59)])
disp(['Mean value measurementinterval 57-59: ',num2str(mean_57_59)])
disp(['Standard deviation measurementinterval 57-59: ',num2str(std_57_59)])

for i = 1:number_sim
    disp(['Max value simulation ',num2str(name(i,:)),': ',num2str(max_sim(i))])
    disp(['Mean value simulation ',num2str(name(i,:)),': ',num2str(mean_sim(i))])
    disp(['Standard deviation simulation ',num2str(name(i,:)),': ',num2str(std_sim(i))])
end