clear all
close all
clc

% Data from simulations
simulation_name = 'Full in 2 points';
folder = 'C:\Users\Jorgen\Dropbox\Masteroppgave\Matlab\Accel from Abaqus\full_in_2points\';
name = ['z1_C_v33.2_mesh5';'z2_C_v33.2_mesh5';'z3_C_v33.2_mesh5';'z4_C_v33.2_mesh5';...
    'z1_D_v33.2_mesh5';'z1_B_v33.2_mesh5';'z1_A_v33.2_mesh5'];
    
% Loading data from wind velocity simulation
number_sim = size(name,1);
Acc_abaqus = zeros(number_sim,2404,4);
t_abaqus = zeros(number_sim,2404,4);

for i = 1:number_sim
    Acc3_abaqus = load([num2str(folder), num2str(name(i,:)), '\Accel_3_Node_152.txt']);
    Acc6_abaqus = load([num2str(folder) num2str(name(i,:)) '\Accel_3_Node_511.txt']);
    Acc8_abaqus = load([num2str(folder) num2str(name(i,:)) '\Accel_3_Node_872.txt']);
    Acc51_abaqus = load([num2str(folder) num2str(name(i,:)) '\Accel_3_Node_422.txt']);
    t3_abaqus = Acc3_abaqus(:,1)-1;
    t6_abaqus = Acc6_abaqus(:,1)-1;
    t8_abaqus = Acc8_abaqus(:,1)-1;
    t51_abaqus = Acc51_abaqus(:,1)-1;
    Acc3_abaqus = Acc3_abaqus(:,2);
    Acc6_abaqus = Acc6_abaqus(:,2);
    Acc8_abaqus = Acc8_abaqus(:,2);
    Acc51_abaqus = Acc51_abaqus(:,2);
    
    length_Acc = length(Acc3_abaqus);
    
    if length_Acc <= 2400
        Acc_abaqus(i,:,1) = Acc3_abaqus;
        Acc_abaqus(i,:,2) = Acc6_abaqus;
        Acc_abaqus(i,:,3) = Acc8_abaqus;
        Acc_abaqus(i,:,4) = Acc51_abaqus;

        t_abaqus(i,:,1) = t3_abaqus;
        t_abaqus(i,:,2) = t6_abaqus;
        t_abaqus(i,:,3) = t8_abaqus;
        t_abaqus(i,:,4) = t51_abaqus;
    elseif length_Acc >= 2400
        Acc_abaqus(i,:,1) = Acc3_abaqus(1:2404);
        Acc_abaqus(i,:,2) = Acc6_abaqus(1:2404);
        Acc_abaqus(i,:,3) = Acc8_abaqus(1:2404);
        Acc_abaqus(i,:,4) = Acc51_abaqus(1:2404);

        t_abaqus(i,:,1) = t3_abaqus(1:2404);
        t_abaqus(i,:,2) = t6_abaqus(1:2404);
        t_abaqus(i,:,3) = t8_abaqus(1:2404);
        t_abaqus(i,:,4) = t51_abaqus(1:2404);
    end
end

%% Plotting result
node_name = ['Node 152';'Node 511';'Node 872';'Node 422'];
interval_no = 4;

%% Changing simulation approach z
name_no = [1,2,3,4];
given_y_axis = [-0.05,0.05;-0.05,0.05;-0.1,0.1;-0.15,0.15];
for j = 1:4
    figure('Name',['Plot of simulated wind accelerations for at node ', num2str(node_name(j,:))])
    for i = 1:interval_no
        subplot(interval_no,1,i)
            plot(t_abaqus(name_no(i),:,j),Acc_abaqus(name_no(i),:,j))
            grid
            title(['Simulation: " ', num2str(simulation_name), ', ', num2str(name(name_no(i),1:2)), ' ', num2str(name(name_no(i),4)), '" at node ', num2str(node_name(j,:))])
            xlabel('Time [sec]')
            ylabel('Wind velocity [m/s^2]')
            xlim([0 600])
            ylim(given_y_axis(j,:));
    end
end

%% Changing exposure category
name_no = [7,6,1,5];
given_y_axis = [-0.05,0.05;-0.05,0.05;-0.05,0.05;-0.05,0.05];

for j = 1:4
    figure('Name',['Plot of simulated wind accelerations for at node ', num2str(node_name(j,:))])
    for i = 1:interval_no
        subplot(interval_no,1,i)
            plot(t_abaqus(name_no(i),:,j),Acc_abaqus(name_no(i),:,j))
            grid
            title(['Simulation: " ', num2str(simulation_name), ', ', num2str(name(name_no(i),1:2)), ' ', num2str(name(name_no(i),4)), '" at node ', num2str(node_name(j,:))])
            xlabel('Time [sec]')
            ylabel('Wind velocity [m/s^2]')
            xlim([0 600])
            ylim(given_y_axis(j,:));
    end
end