clear all
close all
clc

% Data from simulations
name = ['z1_C_v33.2_mesh5'];
simulation_name1 = 'Full in 2 points';
simulation_name2 = 'Half in 2 points';
simulation_name3 = '1 point';
simulation_name4 = 'Full in 2 points separate C_{D}';
folder = 'C:\Users\Jorgen\Dropbox\Masteroppgave\Matlab\Accel from Abaqus\';
simulation_folder1 = [num2str(folder), 'full_in_2points\', num2str(name)];
simulation_folder2 = [num2str(folder), 'half_in_2points\', num2str(name)];
simulation_folder3 = [num2str(folder), '1point\', num2str(name)];
simulation_folder4 = [num2str(folder), 'from_test_in_2points\', num2str(name)];

% Loading data from wind velocity simulation
number_sim = 4;

i = 1;
    Acc3_abaqus = load([num2str(simulation_folder1), '\Accel_3_Node_152.txt']);
    Acc6_abaqus = load([num2str(simulation_folder1) '\Accel_3_Node_511.txt']);
    Acc8_abaqus = load([num2str(simulation_folder1) '\Accel_3_Node_872.txt']);
    Acc51_abaqus = load([num2str(simulation_folder1) '\Accel_3_Node_422.txt']);
    t3_abaqus = Acc3_abaqus(:,1)-1;
    t6_abaqus = Acc6_abaqus(:,1)-1;
    t8_abaqus = Acc8_abaqus(:,1)-1;
    t51_abaqus = Acc51_abaqus(:,1)-1;
    Acc3_abaqus = Acc3_abaqus(:,2);
    Acc6_abaqus = Acc6_abaqus(:,2);
    Acc8_abaqus = Acc8_abaqus(:,2);
    Acc51_abaqus = Acc51_abaqus(:,2);
    
    length_Acc = length(Acc3_abaqus);
    Acc_abaqus = zeros(number_sim,length_Acc,4);
    t_abaqus = zeros(number_sim,length_Acc,4);
    
    Acc_abaqus(i,:,1) = Acc3_abaqus;
    Acc_abaqus(i,:,2) = Acc6_abaqus;
    Acc_abaqus(i,:,3) = Acc8_abaqus;
    Acc_abaqus(i,:,4) = Acc51_abaqus;

    t_abaqus(i,:,1) = t3_abaqus;
    t_abaqus(i,:,2) = t6_abaqus;
    t_abaqus(i,:,3) = t8_abaqus;
    t_abaqus(i,:,4) = t51_abaqus;
    
i = 2;
    Acc3_abaqus = load([num2str(simulation_folder2), '\Accel_3_Node_152.txt']);
    Acc6_abaqus = load([num2str(simulation_folder2) '\Accel_3_Node_511.txt']);
    Acc8_abaqus = load([num2str(simulation_folder2) '\Accel_3_Node_872.txt']);
    Acc51_abaqus = load([num2str(simulation_folder2) '\Accel_3_Node_422.txt']);
    t3_abaqus = Acc3_abaqus(:,1)-1;
    t6_abaqus = Acc6_abaqus(:,1)-1;
    t8_abaqus = Acc8_abaqus(:,1)-1;
    t51_abaqus = Acc51_abaqus(:,1)-1;
    Acc3_abaqus = Acc3_abaqus(:,2);
    Acc6_abaqus = Acc6_abaqus(:,2);
    Acc8_abaqus = Acc8_abaqus(:,2);
    Acc51_abaqus = Acc51_abaqus(:,2);
    
    Acc_abaqus(i,:,1) = Acc3_abaqus;
    Acc_abaqus(i,:,2) = Acc6_abaqus;
    Acc_abaqus(i,:,3) = Acc8_abaqus;
    Acc_abaqus(i,:,4) = Acc51_abaqus;

    t_abaqus(i,:,1) = t3_abaqus;
    t_abaqus(i,:,2) = t6_abaqus;
    t_abaqus(i,:,3) = t8_abaqus;
    t_abaqus(i,:,4) = t51_abaqus;
    
i = 3;
    Acc3_abaqus = load([num2str(simulation_folder3), '\Accel_3_Node_152.txt']);
    Acc6_abaqus = load([num2str(simulation_folder3) '\Accel_3_Node_511.txt']);
    Acc8_abaqus = load([num2str(simulation_folder3) '\Accel_3_Node_872.txt']);
    Acc51_abaqus = load([num2str(simulation_folder3) '\Accel_3_Node_422.txt']);
    t3_abaqus = Acc3_abaqus(:,1)-1;
    t6_abaqus = Acc6_abaqus(:,1)-1;
    t8_abaqus = Acc8_abaqus(:,1)-1;
    t51_abaqus = Acc51_abaqus(:,1)-1;
    Acc3_abaqus = Acc3_abaqus(:,2);
    Acc6_abaqus = Acc6_abaqus(:,2);
    Acc8_abaqus = Acc8_abaqus(:,2);
    Acc51_abaqus = Acc51_abaqus(:,2);
    
    Acc_abaqus(i,:,1) = Acc3_abaqus;
    Acc_abaqus(i,:,2) = Acc6_abaqus;
    Acc_abaqus(i,:,3) = Acc8_abaqus;
    Acc_abaqus(i,:,4) = Acc51_abaqus;

    t_abaqus(i,:,1) = t3_abaqus;
    t_abaqus(i,:,2) = t6_abaqus;
    t_abaqus(i,:,3) = t8_abaqus;
    t_abaqus(i,:,4) = t51_abaqus;
    
i = 4;
    Acc3_abaqus = load([num2str(simulation_folder4), '\Accel_3_Node_152.txt']);
    Acc6_abaqus = load([num2str(simulation_folder4) '\Accel_3_Node_511.txt']);
    Acc8_abaqus = load([num2str(simulation_folder4) '\Accel_3_Node_872.txt']);
    Acc51_abaqus = load([num2str(simulation_folder4) '\Accel_3_Node_422.txt']);
    t3_abaqus = Acc3_abaqus(:,1)-1;
    t6_abaqus = Acc6_abaqus(:,1)-1;
    t8_abaqus = Acc8_abaqus(:,1)-1;
    t51_abaqus = Acc51_abaqus(:,1)-1;
    Acc3_abaqus = Acc3_abaqus(:,2);
    Acc6_abaqus = Acc6_abaqus(:,2);
    Acc8_abaqus = Acc8_abaqus(:,2);
    Acc51_abaqus = Acc51_abaqus(:,2);
    
    Acc_abaqus(i,:,1) = Acc3_abaqus;
    Acc_abaqus(i,:,2) = Acc6_abaqus;
    Acc_abaqus(i,:,3) = Acc8_abaqus;
    Acc_abaqus(i,:,4) = Acc51_abaqus;

    t_abaqus(i,:,1) = t3_abaqus;
    t_abaqus(i,:,2) = t6_abaqus;
    t_abaqus(i,:,3) = t8_abaqus;
    t_abaqus(i,:,4) = t51_abaqus;
    
%% Plotting result
node_name = ['Node 152';'Node 511';'Node 872';'Node 422'];
interval_no = 4;

%% Changing simulation approach z
given_y_axis = [-0.05,0.05;-0.05,0.05;-0.05,0.05;-0.05,0.05];
for j = 1:4
    figure('Name',['Plot of simulated wind accelerations for at node ', num2str(node_name(j,:))])
    i = 1;
        subplot(interval_no,1,i)
            plot(t_abaqus(i,:,j),Acc_abaqus(i,:,j))
            grid
            title(['Simulation: " ', num2str(simulation_name1), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" at node ', num2str(node_name(j,:))])
            xlabel('Time [sec]')
            ylabel('Wind velocity [m/s^2]')
            xlim([0 600])
            ylim(given_y_axis(j,:));
    i = 2;
        subplot(interval_no,1,i)
            plot(t_abaqus(i,:,j),Acc_abaqus(i,:,j))
            grid
            title(['Simulation: " ', num2str(simulation_name2), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" at node ', num2str(node_name(j,:))])
            xlabel('Time [sec]')
            ylabel('Wind velocity [m/s^2]')
            xlim([0 600])
            ylim(given_y_axis(j,:));
    i = 3;
        subplot(interval_no,1,i)
            plot(t_abaqus(i,:,j),Acc_abaqus(i,:,j))
            grid
            title(['Simulation: " ', num2str(simulation_name3), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" at node ', num2str(node_name(j,:))])
            xlabel('Time [sec]')
            ylabel('Wind velocity [m/s^2]')
            xlim([0 600])
            ylim(given_y_axis(j,:));
    i = 4;
        subplot(interval_no,1,i)
            plot(t_abaqus(i,:,j),Acc_abaqus(i,:,j))
            grid
            title(['Simulation: " ', num2str(simulation_name4), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" at node ', num2str(node_name(j,:))])
            xlabel('Time [sec]')
            ylabel('Wind velocity [m/s^2]')
            xlim([0 600])
            ylim(given_y_axis(j,:));
end