clear all
close all
clc

%% data incl the storm PER
dataPlace = 'C:\Users\Jorgen\Documents\Skole\Fall 11\Prosjekt\Matlab\Tidsserier\dec2006_sep2007\';

TabelsAll = dir(dataPlace);
[dataFile] = TabelsAll(60).name;

[a1,a2]=catman_read([dataPlace dataFile]);
A=a2(71).data;% Wind H
t=0:0.02:(length(A)-1)*0.02;

x = zeros(length(A),4);
yDir = [2,5,8,51];
for i = 1:4
    x(:,i)=detrend(a2(yDir(i)).data./1000,'constant');
end

%% Data from simulations
name = 'z1_C_v33.2_mesh5\';
simulation = 'full_in_2points';
simulation_name = 'Full in 2 points';
folder = ['C:\Users\Jorgen\Dropbox\Masteroppgave\Matlab\Accel from Abaqus\', num2str(simulation), '\'];


% Loading data from wind velocity simulation
Acc3_abaqus = load([num2str(folder) num2str(name) 'Accel_3_Node_152.txt']);
Acc6_abaqus = load([num2str(folder) num2str(name) 'Accel_3_Node_511.txt']);
Acc8_abaqus = load([num2str(folder) num2str(name) 'Accel_3_Node_872.txt']);
Acc51_abaqus = load([num2str(folder) num2str(name) 'Accel_3_Node_422.txt']);
t3_abaqus = Acc3_abaqus(:,1)-1;
t6_abaqus = Acc6_abaqus(:,1)-1;
t8_abaqus = Acc8_abaqus(:,1)-1;
t51_abaqus = Acc51_abaqus(:,1)-1;
Acc3_abaqus = Acc3_abaqus(:,2);
Acc6_abaqus = Acc6_abaqus(:,2);
Acc8_abaqus = Acc8_abaqus(:,2);
Acc51_abaqus = Acc51_abaqus(:,2);

length_Acc = length(Acc3_abaqus);

Acc_abaqus = zeros(length_Acc,4);
t_abaqus = zeros(length_Acc,4);

Acc_abaqus(:,1) = Acc3_abaqus;
Acc_abaqus(:,2) = Acc6_abaqus;
Acc_abaqus(:,3) = Acc8_abaqus;
Acc_abaqus(:,4) = Acc51_abaqus;

t_abaqus(:,1) = t3_abaqus;
t_abaqus(:,2) = t6_abaqus;
t_abaqus(:,3) = t8_abaqus;
t_abaqus(:,4) = t51_abaqus;

node_name = ['Node 152';'Node 511';'Node 872';'Node 422'];
    
%% Plotting result
for i = 1:4
node_number = i;

figure('Name',['Plot of accel interval 58 simulation ', num2str(name(1:2)), ' ', num2str(name(4)), ' at node ', num2str(node_name(node_number,:))])
subplot(2,1,1)
    plot(t,x(:,node_number))
    grid
    title(['From measurements at node ', num2str(node_name(node_number,:))])
    xlabel('Time [sec]')
    ylabel('Acceleration [m/s^2]')
    axis([0 600 -0.1 0.1])
subplot(2,1,2)
    plot(t_abaqus(:,node_number),Acc_abaqus(:,node_number))
    grid
    title(['From simulation: "', num2str(simulation_name), ', ', num2str(name(1:2)), ' ', num2str(name(4)), '" at node ', num2str(node_name(node_number,:))])
    xlabel('Time [sec]')
    ylabel('Acceleration [m/s^2]')
    axis([0 600 -0.1 0.1])
end