%% Plot of wind velocity
clear all
close all
clc

% Data from simulations
folder = 'C:\Users\Jorgen\Dropbox\Masteroppgave\Matlab\Simulations\0.25\';
name = ['z1_C_v33.2_mesh5';'z2_C_v33.2_mesh5';'z3_C_v33.2_mesh5';'z4_C_v33.2_mesh5';...
    'z1_D_v33.2_mesh5';'z1_B_v33.2_mesh5';'z1_A_v33.2_mesh5'];
    
% Loading data from wind velocity simulation
number_sim = size(name,1);
V_sim = zeros(2400,number_sim);
t_sim = zeros(2400,number_sim);
for i = 1:number_sim
    load([num2str(folder) num2str(name(i,:)) '.mat'])
    V_sim(:,i) = mean_speed(60)+Y_speed(:,60);
    t_sim(:,i) = t_scale;
end

% Plotting result
figure('Name','Plot of simulated wind velocities')
interval_no = 4;

%% Changing simulation approach z
name_no = [1,2,3,4];
given_y_axis = [20,30;20,30;20,30;20,30];
for i = 1:interval_no
    subplot(interval_no,1,i)
        plot(t_sim(:,name_no(i)),V_sim(:,name_no(i)))
        grid
        title(['Simulation ', num2str(name(name_no(i),1:2)), ' ', num2str(name(name_no(i),4))])
        xlabel('Time [sec]')
        ylabel('Wind velocity [m/s]')
        xlim([0 600])
        ylim(given_y_axis(i,:));
end

%% Changing exposure category
% name_no = [7,6,1,5];
% given_y_axis = [10,16;14,20;20,26;24,30];
% for i = 1:interval_no
%     subplot(interval_no,1,i)
%         plot(t_sim(:,name_no(i)),V_sim(:,name_no(i)))
%         grid
%         title(['Simulation ', num2str(name(name_no(i),1:2)), ' ', num2str(name(name_no(i),4))])
%         xlabel('Time [sec]')
%         ylabel('Wind velocity [m/s]')
%         xlim([0 600])
%         ylim(given_y_axis(i,:));
% end