clear all
close all
clc

% data incl the storm PER
dataPlace = 'C:\Users\Jorgen\Documents\Skole\Fall 11\Prosjekt\Matlab\Tidsserier\dec2006_sep2007\';

TabelsAll = dir(dataPlace);
No = length(TabelsAll)-2;

std_Acc2_measured = zeros(No,1);
std_Acc5_measured = zeros(No,1);
std_Acc8_measured = zeros(No,1);
std_Acc51_measured = zeros(No,1);

for i=1:No
    [dataFile]=TabelsAll(2+i).name;
    [a1,a2] = catman_read([dataPlace dataFile]);

    Acc2_measured = a2(2).data./1000;% ACCQ-YW, Node 152 = 1/4 point bridge
    Acc5_measured = a2(5).data./1000;% ACCM-YW, Node 511 = midpoint bridge
    Acc8_measured = a2(8).data./1000;% ACCS14-Y, Node 872 = 1/4 point arch
    Acc51_measured = a2(51).data./1000;% ACCN26-Y, Node 422 = midpoint arch
    Acc2_measured = detrend(Acc2_measured,'constant');
    Acc5_measured = detrend(Acc5_measured,'constant');
    Acc8_measured = detrend(Acc8_measured,'constant');
    Acc51_measured = detrend(Acc51_measured,'constant');

    % Calculating the standard deviation
    std_Acc2_measured(i) = std(Acc2_measured);
    std_Acc5_measured(i) = std(Acc5_measured);
    std_Acc8_measured(i) = std(Acc8_measured);
    std_Acc51_measured(i) = std(Acc51_measured);
end

disp(['Standard deviation measured from Node 152 = 1/4 point bridge west side: ',num2str(std_Acc2_measured)])
disp(['Standard deviation measured from Node 511 = midpoint bridge west side: ',num2str(std_Acc5_measured)])
disp(['Standard deviation measured from Node 872 = 1/4 point arch: ',num2str(std_Acc8_measured)])
disp(['Standard deviation measured from Node 422 = midpoint arch: ',num2str(std_Acc51_measured)])