%% Script to find std of accel for three series
clear all
close all
clc
%% catman read function file

% data incl the storm PER
dataPlace='C:\Users\Jorgen\Documents\Skole\Fall 11\Prosjekt\Matlab\Tidsserier\dec2006_sep2007\';

TabelsAll = dir(dataPlace);
place = [57,58,59];

No = zeros(3,1);

for i=1:3
    [dataFile] = TabelsAll(2+place(i)).name;
    [a1,a2] = catman_read([dataPlace dataFile]);
    No(i) = length(a2(71).data);
end

Sum_No = sum(No);

A = zeros(Sum_No,1);% Vind H
Acc2 = zeros(Sum_No,1);% ACCQ-YW, Node 152 = 1/4 point bridge
Acc5 = zeros(Sum_No,1);% ACCM-YW, Node 511 = midpoint bridge
Acc8 = zeros(Sum_No,1);% ACCS14-Y, Node 872 = 1/4 point arch
Acc51 = zeros(Sum_No,1);% ACCN26-Y, Node 422 = midpoint arch

for i=1:3
    [dataFile] = TabelsAll(2+place(i)).name;
    [a1,a2] = catman_read([dataPlace dataFile]);
    if i == 1
        No_start = 1;
        No_end = No(i);
    else
        No_start = sum(No(1:i-1))+1;
        No_end = No_end+No(i);
    end
    A(No_start:No_end) = a2(71).data(1:No(i));% Vind H
    Acc2(No_start:No_end) = a2(2).data(1:No(i))./1000;
    Acc5(No_start:No_end) = a2(5).data(1:No(i))./1000;
    Acc8(No_start:No_end) = a2(8).data(1:No(i))./1000;
    Acc51(No_start:No_end) = a2(51).data(1:No(i))./1000;
end

Acc2 = detrend(Acc2,'constant');
Acc5 = detrend(Acc5,'constant');
Acc8 = detrend(Acc8,'constant');
Acc51 = detrend(Acc51,'constant');

% Calculating the standard deviation
std_Acc2 = std(Acc2);
std_Acc5 = std(Acc5);
std_Acc8 = std(Acc8);
std_Acc51 = std(Acc51);

disp(['Standard deviation measured from Node 152 = 1/4 point bridge west side: ',num2str(std_Acc2)])
disp(['Standard deviation measured from Node 511 = midpoint bridge west side: ',num2str(std_Acc5)])
disp(['Standard deviation measured from Node 872 = 1/4 point arch: ',num2str(std_Acc8)])
disp(['Standard deviation measured from Node 422 = midpoint arch: ',num2str(std_Acc51)])